Borrador BorradorACroquis

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Draft2Sketch and the translation is 78% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Anterior: Draft WireToBSpline.svg HiloABSpline
Siguiente: Pendiente Draft Slope.svg Arrow-right.svg

Draft Draft2Sketch.svg Boceto a Croquis

Ubicación en el Menú
Modificación → Borador a Croquis
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

El Draft Draft2Sketch.svg comando Borrador BorradorACroquis convierte los objetos de Borrador en Croquizador Croquis y viceversa.

Draft Draft2Sketch example.png

Convertir objetos de borrador en Croquizador Croquis

Utilización

  1. Opcionalmente selecciona uno o más objetos de Borrador o Croquizador Croquis.
  2. Hay varias formas de invocar el comando:
  3. Si aún no ha seleccionado un objeto: seleccione un objeto en la Vista 3D.
  4. Se crea un nuevo objeto.

Notas

Guión

Ver también: Documentación de la API autogenerada y Fundamentos de FreeCAD Guión.

Para convertir objetos en un croquis utilice el método make_sketch (introducido en la versión 0.19) del módulo Borrador. Este método sustituye al método obsoleto makeSketch.

sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
  • objects_list contiene los objetos a convertir. Puede ser un solo objeto o una lista de objetos. Se admiten objetos Draft, objetos Part::Feature y objetos Part.Shape.
  • Si autoconstraints es True se añaden restricciones coincidentes a los nodos que pertenecen al mismo objeto fuente.
  • addTo es el objeto de coquis existente al que se añade la geometría. Si no se proporciona, se crea un nuevo croquis.
  • Si delete es True se eliminan los objetos fuente.
  • name es el nombre del nuevo croquis.
  • radiusPrecision indica cómo deben manejarse las restricciones de radio:
    • Utilice -1 para desactivar las restricciones de radio.
    • Utilice 0 para añadir restricciones de radio individuales.
    • Utilice un número positivo para redondear los radios según esta precisión, y para añadir restricciones iguales entre curvas con radios iguales.
  • tol es la tolerancia utilizada para comprobar si las formas son planas y coplanares. Utilice -1 para un análisis estricto.
  • sketch se devuelve con el objeto de croquis.

Para convertir un coquis en objetos Borrador utiliza el método draftify del módulo Borrador.

draftify(objectslist, makeblock=False, delete=True)
  • objectslist contiene los objetos a convertir. Puede ser un solo objeto o una lista de objetos.
  • Si makeblock es True los objetos convertidos se agrupan en un Part::Part2DObject.
  • Si delete es True se borran los objetos de origen.

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()

sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()

draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()


Arrow-left.svg Anterior: Draft WireToBSpline.svg HiloABSpline
Siguiente: Pendiente Draft Slope.svg Arrow-right.svg